/*
 * sinegen.h
 *
 * simple table-based sinus generator
 * definitions and function-prototype
 *
 *  Created on: 09.02.2009
 *      Author: Jan Alte, DO1FJN
 *
 *
 * This file is part of the DV-modem firmware (DVfirmware).
 * For general infomation about DVfirmware see "dv-main.c".
 *
 * DVfirmware is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * The DVfirmware is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this package. If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef SINEGEN_H_
#define SINEGEN_H_


typedef struct {
  unsigned long int phase;
  unsigned long int accu;
} tsinedescr;


short int getsine(tsinedescr *sd);


#endif // SINEGEN_H_

