/*
 * dac_func.h
 *
 * Basic functions of the AD5620 connected via SPI interface.
 *
 *  Created on: 11.03.2009
 *      Author: Jan Alte, DO1FJN
 *
 *
 * This file is part of the DV-modem firmware (DVfirmware).
 * For general infomation about DVfirmware see "dv-main.c".
 *
 * DVfirmware is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * The DVfirmware is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this package. If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef DAC_FUNC_H_
#define DAC_FUNC_H_

#define DAC_CLOCK	2048000L
#define SPI_CS		0

void	dac_init(void);
void	dac_exit(void);
void	dac_waitidle(void);

__inline void dac_transmit(unsigned short int data);


#endif // DAC_FUNC_H_
