/*
 * hw_init.h
 *
 *  Created on: 07.03.2009
 *      Author: Jan Alte, DO1FJN
 *
 * This file is part of the DV-modem firmware (DVfirmware).
 * For general infomation about DVfirmware see "dv-main.c".
 *
 * DVfirmware is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * The DVfirmware is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this package. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef HW_INIT_H_
#define HW_INIT_H_


#include "hardware/hw_defs.h"
#include "hardware/gpio_func.h"
#include "hardware/int_func.h"
#include "hardware/twi_func.h"
#include "hardware/bf_func.h"
#include "hardware/rs232_func.h"
#include "hardware/adc_func.h"
#include "hardware/dac_func.h"
#include "hardware/ambe_func.h"


#endif // HW_INIT_H_
